Interface InternetAccessIbxs
- All Known Implementing Classes:
InternetAccessIbxsImpl
public interface InternetAccessIbxs
Client interface for the Equinix Internet Access (EIA) v2 product-availability lookup
(
GET /internetAccess/v2/ibxs) - the IBX data centers where Equinix Internet Access is
available for a given service connection type.-
Method Summary
Modifier and TypeMethodDescriptionavailability(ConnectionType connectionType) Returns the IBXs where Equinix Internet Access is available for the given connection type.availability(ConnectionType connectionType, String accessPointType, String assetType) Returns the IBXs where Equinix Internet Access is available, narrowed by connection access point type and required asset type.Returns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}).getByCode(String ibx, ConnectionType connectionType, String accessPointType) Returns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}), narrowed by service connection type and connection access point type.
-
Method Details
-
availability
Returns the IBXs where Equinix Internet Access is available for the given connection type.- Parameters:
connectionType- the service connection type (IA_Cphysical orIA_VCvirtual); required- Returns:
- a paginated list of matching IBXs
- Throws:
IllegalArgumentException- ifconnectionTypeisnull
-
availability
PaginatedList<Ibx> availability(ConnectionType connectionType, String accessPointType, String assetType) Returns the IBXs where Equinix Internet Access is available, narrowed by connection access point type and required asset type.- Parameters:
connectionType- the service connection type (IA_Cphysical orIA_VCvirtual)accessPointType- the connection A-side access point type (e.g.COLO,VD,PORT), ornullfor the default (COLO)assetType- the type of asset the user must have in the IBX (e.g.CABINET), ornullfor no asset constraint- Returns:
- a paginated list of matching IBXs
- Throws:
IllegalArgumentException- ifconnectionTypeisnull
-
getByCode
-
getByCode
Returns the detail for a single IBX where Equinix Internet Access is available, via the v1 single-IBX get (GET /internetAccess/v1/ibxs/{ibx}), narrowed by service connection type and connection access point type.- Parameters:
ibx- the IBX data center code (e.g.WA1)connectionType- the service connection type (IA_Cphysical orIA_VCvirtual), ornullfor no constraintaccessPointType- the connection A-side access point type (e.g.COLO,VD), ornullfor no constraint- Returns:
- the matching IBX
-